## ros-jazzy-mrpt-rawlog 2.0.0

=== debian/changelog ===
ros-jazzy-mrpt-rawlog (2.0.0-1bookworm) bookworm; urgency=high

  * rosbag2rawlog: BUGFIX: sensor poses were inverted
  * rosbag2rawlog: drop msgs if /tf data did not arrive yet instead of aborting
  * rosbag2rawlog: now also can convert from mrpt_msgs/GenericObservation messages
  * Import GNNS observations
  * Fix build with older versions of cv_bridge
  * rosbag2rawlog: Implement automatic detection of sensorPose from /tf, and added option to override poses from config yaml
  * rosbag2rawlog: Add support for XYZIRT pointcloud observations
  * Add support for CObservationRotatingScan in rosbag2rawlog
  * Fix rosbag2rawlog install path should be 'bin'
  * rosbag2rawlog: add conversion for LaserScan msgs
  * Fix missing build dep
  * Add ament linter for testing builds
  * mrpt_rawlog: remove all record nodes. The package will only provide a play rawlog node, and offline tool to convert rosbag2 to rawlog
  * Fix obsolete tf2_geometry_msgs.h header
  * Unify and clarify license headers in all files
  * Port to ROS 2
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 27 May 2024 22:00:00 -0000

ros-jazzy-mrpt-rawlog (1.0.3-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-jazzy-mrpt-rawlog (1.0.2-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-jazzy-mrpt-rawlog (1.0.1-1bookworm) bookworm; urgency=high

  * Correct demos
  * Fix all build errors
  * Removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 23 Jun 2022 22:00:00 -0000

ros-jazzy-mrpt-rawlog (1.0.0-1bookworm) bookworm; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Merge pull request #126 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/126> from lukschwalb/master
    Fix incorrect class check
  * Fix incorrect class name
  * Merge pull request #119 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/119> from mx-robotics/develop
    rawlog_record: fnc call fileNameStripInvalidChars removed
  * Contributors: Jose Luis Blanco Claraco, Markus Bader, Schwalb, Luk

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 29 Apr 2022 22:00:00 -0000

ros-jazzy-mrpt-rawlog (0.1.26-1bookworm) bookworm; urgency=high

  * mrpt_rawlog: abort if input file does not exist. Fix crash if built against mrpt1.
  * remove qtcreator temporary files
  * Contributors: Jose Luis Blanco Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 04 Oct 2019 22:00:00 -0000

ros-jazzy-mrpt-rawlog (0.1.25-1bookworm) bookworm; urgency=high

  * fix build in gcc 4.x
  * fix build against mrpt1 (Closes #113 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/113>)
  * fix build against current mrpt2
  * Contributors: Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 03 Oct 2019 22:00:00 -0000

ros-jazzy-mrpt-rawlog (0.1.24-1bookworm) bookworm; urgency=high

  * Fix build against mrpt-1.5
  * Fix build against MRPT 1.9.9
  * fix regression introduced in last refactor of mrpt_rawlog
  * rawlog_record: Explain error if cannot write .rawlog
  * Contributors: Jose Luis Blanco Claraco, Julian Lopez Velasquez

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 11 Apr 2019 22:00:00 -0000

ros-jazzy-mrpt-rawlog (0.1.23-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 13 Jun 2018 22:00:00 -0000

ros-jazzy-mrpt-rawlog (0.1.22-1bookworm) bookworm; urgency=high

  * fix all catkin_lint errors
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 May 2018 22:00:00 -0000

ros-jazzy-mrpt-rawlog (0.1.21-1bookworm) bookworm; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * rawlog_play: clean up; support obs-only rawlog
  * fix missing mrpt/config hdr
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * Use docker to run modern ROS distros in travis (#93 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/93>)
  * marker messages are also logged as beacons if needed
  * mrpt_rawlog recorder update
  * static tf in rawlog record fixed
  * marker msgs added
  * timestamp problem solved
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * bearing readings added
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Fix paths in demo_play_ekf(_2d).launch files.
  * [mrpt_rawlog] Fix missing rosbag dependency in package.xml. (#66 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/66>)
  * [mrpt_rawlog] Fix missing rosbag dependency in package.xml.
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Markus Bader, Vladislav Tananaev

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 26 Apr 2018 22:00:00 -0000

ros-jazzy-mrpt-rawlog (0.1.20-1bookworm) bookworm; urgency=high

  * rawlog_play: clean up; support obs-only rawlog
  * fix missing mrpt/config hdr
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors

